* {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    box-sizing: border-box;
}

body {
    background: #262a2f;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    width: 250px;
    margin-top: 20px;
    padding: 25px 35px;
    background-color: #fff;
    border-radius: 10px;
}

.container p {
    font-weight: 600;
    font-size: 15px;
    margin-bottom: 8px;
}

.container input {
    width: 100%;
    height: 50px;
    border: 1px solid #494eea;
    outline: 0;
    padding: 10px;
    margin: 10px 0 20px;
    border-radius: 5px;
}

.btns {
    display: flex;
    justify-content: space-between;
}

.btns button {
    width: 49%;
    height: 50px;
    background-color: #494eea;
    color: #fff;
    outline: 0;
    border: 0;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0,0,0,0.1);
    cursor: pointer;
    margin: 20px 0;
    font-weight: 500;
    transition: all .3s;
}

.btns button:hover {
    background-color: #5a5ff3;
}

#imgBox{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px auto;
    width: fit-content;
    padding: 18px;
    border-radius: 12px;
    background: #fff;
}

#imgBox img {
    width: 100%;
    padding: 10px;
}

#imgBox.show-img {
    max-height: 300px;
    margin: 10px auto;
    border: 1px solid #d1d1d1;
}

.error {
    animation: shake 0.1s linear 10;
    border-color: red !important;
}

@keyframes shake {
    0% { transform: translateX(0); }
    25% { transform: translateX(-5px); }
    50% { transform: translateX(0); }
    75% { transform: translateX(5px); }
    100% { transform: translateX(0); }
}


#qrImage {
    padding: 12px;
    background: white;
    display: inline-block;
}

#qrImage canvas{
    max-width: 100%;
    height: auto;
    image-rendering: pixelated;
}
